A simple photobooth app writen in C#
====================================

- requires .NET sdk 8.0 to build

To Build as a single app (for linux)
====================

```bash
    cd PhotoBooth.Net8
    dotnet publish -c Release -o out -r linux-x64 --self-contained -p:PublishReadyToRun=true -p:PublishSingleFile=true
    cd out
    ./PhotoBooth.Net8
```

To build as .NET Framework 4.8 app for .NET Framework or Mono
```bash
    cd PhotoBooth.Mono
    dotnet build -o out -c Release
    mono out/*.exe
```

- USES [SDL2-CS](https://github.com/flibitijibibo/SDL2-CS)

- For Linux SDL2 and SDL2_image are required
- Debian, Ubuntu (to run it)
```bash 
sudo apt install libsdl2-dev libsdl2-image-dev
```